Retrieve HR Applicants By Code

Prev Next
Get
/hcm-rest-api/rest/1/hrapplicants

Query Standards

Finder

Following row finders are available for data filtering and optimizing request performance.

  • Select By Name And Number
  • Applicant Finder
  • By UUID

Select By Name And Number

Recommended finder parameters. Refer to Query Parameters for example.

Parameter Description Sample
ApplicantNo Applicant Number, 30349
SinNo SIN / SSN Number 123456789
LastName Last Name smith
MiddleName Middle Name M
FirstName First Name John
ApplicantStatus Applicant Status H

Applicant Finder

This is an optional finder for querying Applicants by First Name, Email, Cell Phone and Last Name.

Parameter Description Sample
FirstNameVar First Name John
EmailVar Email john.doe@cmic.ca
CellPhoneVar Cell Phone 6476490000
LastNameVar Last Name smith

By UUID

This is an optional finder for querying a specific Applicant by row ID.

Parameter Description Sample
/VUUID The VUuid attribute is the Unique row ID /hcm-rest-api/rest/1/hrapplicants/AC6CD9E2DA99713CE053B08610AC4D99
Security
HTTP
Type basic

Basic authentication

Query parameters
finder
string
ExampleselectByNameAndNo;ApplicantNo=30349, SinNo=123456789, LastName=smith, MiddleName=, FirstName=John, ApplicantStatus=H
limit
integer
Example500
offset
integer
Example0
totalResults
boolean
Exampletrue
orderBy
string
ExampleAplVUuid:desc
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
example-0

Successful Response - Finder - selectByNameAndNo

{
  "items": [
    {
      "AplAddress1": "Add1 379",
      "AplAddress2": "Add2 379",
      "AplAddress3": "Add3 379",
      "AplAppSource": null,
      "AplApplicationLoc": null,
      "AplApplyDate": "2019-04-24",
      "AplAreaofinterest": null,
      "AplAvailabilityDate": null,
      "AplCellPhone": null,
      "AplCertLicNote": null,
      "AplDateOfBirth": "1967-06-15",
      "AplDegNote": null,
      "AplDominantHand": "N",
      "AplEmailAddress": null,
      "AplEthnicCode": "X",
      "AplExpectedRate": null,
      "AplExpectedSalary": null,
      "AplFirstName": "John",
      "AplFullparttime": null,
      "AplGenComment": null,
      "AplGeoarea": null,
      "AplHomeFax": null,
      "AplHomePhone": null,
      "AplInterviewDate": null,
      "AplInterviewedBy": null,
      "AplLastName": "smith",
      "AplLastUpdDate": "2022-11-02T20:31:38Z",
      "AplLoginPassword": null,
      "AplMaritalStatus": "X",
      "AplMemNote": null,
      "AplMiddleName": null,
      "AplMilitarySeparationDate": null,
      "AplMilitaryStatus": "NV",
      "AplNo": "30349",
      "AplOfferedPosition": null,
      "AplOther": null,
      "AplPager": null,
      "AplPhAddress1": null,
      "AplPhAddress2": null,
      "AplPhAddress3": null,
      "AplPhCountryCode": null,
      "AplPhStateCode": null,
      "AplPhZipCode": null,
      "AplPlaceOfBirth": null,
      "AplPreferredLang": null,
      "AplRatePeriod": null,
      "AplReferringEmpNo": null,
      "AplResLatitude": null,
      "AplResLongitude": null,
      "AplResidentStatus": "X",
      "AplSex": "N",
      "AplSinNo": "123456789",
      "AplSkillNote": null,
      "AplStatus": "H",
      "AplTemporary": null,
      "AplTrainNote": null,
      "AplTravelDistance": null,
      "AplTravelFlag": "N",
      "AplTrdCode": null,
      "AplType": "S",
      "AplUser": "FIELDPOINT",
      "AplVUuid": "AC6CD9E2DA99713CE053B08610AC4D99",
      "AplWorkFax": null,
      "AplWorkPhone": null,
      "AplZipCode": null,
      "ApsrcApsCode": null,
      "CityCtyCityCode": null,
      "CityCtyCountryCode": null,
      "CityCtyCountyCode": null,
      "CityCtyStateCode": null,
      "ControlConCompCode": null,
      "CountryCtrCountryCode": null,
      "CountyCntCountryCode": null,
      "CountyCntCountyCode": null,
      "CountyCntStateCode": null,
      "DisabilityDisCode": null,
      "EmployeeEmpNo": "999",
      "LanguageLangName": null,
      "StateStaCountryCode": null,
      "StateStaStateCode": null,
      "StatusStsCode": null,
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapplicants/AC6CD9E2DA99713CE053B08610AC4D99",
          "name": "hrapplicants",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapplicants/AC6CD9E2DA99713CE053B08610AC4D99",
          "name": "hrapplicants",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 5,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapplicants",
      "name": "hrapplicants",
      "kind": "collection"
    }
  ]
}
example-1

Successful Response - Finder - ApplicantFinder

{
  "items": [
    {
      "AplAddress1": "Add1 379",
      "AplAddress2": "Add2 379",
      "AplAddress3": "Add3 379",
      "AplAppSource": null,
      "AplApplicationLoc": null,
      "AplApplyDate": "2019-04-24",
      "AplAreaofinterest": null,
      "AplAvailabilityDate": null,
      "AplCellPhone": null,
      "AplCertLicNote": null,
      "AplDateOfBirth": "1967-06-15",
      "AplDegNote": null,
      "AplDominantHand": "N",
      "AplEmailAddress": null,
      "AplEthnicCode": "X",
      "AplExpectedRate": null,
      "AplExpectedSalary": null,
      "AplFirstName": "John",
      "AplFullparttime": null,
      "AplGenComment": null,
      "AplGeoarea": null,
      "AplHomeFax": null,
      "AplHomePhone": null,
      "AplInterviewDate": null,
      "AplInterviewedBy": null,
      "AplLastName": "smith",
      "AplLastUpdDate": "2022-11-02T20:31:38Z",
      "AplLoginPassword": null,
      "AplMaritalStatus": "X",
      "AplMemNote": null,
      "AplMiddleName": null,
      "AplMilitarySeparationDate": null,
      "AplMilitaryStatus": "NV",
      "AplNo": "30349",
      "AplOfferedPosition": null,
      "AplOther": null,
      "AplPager": null,
      "AplPhAddress1": null,
      "AplPhAddress2": null,
      "AplPhAddress3": null,
      "AplPhCountryCode": null,
      "AplPhStateCode": null,
      "AplPhZipCode": null,
      "AplPlaceOfBirth": null,
      "AplPreferredLang": null,
      "AplRatePeriod": null,
      "AplReferringEmpNo": null,
      "AplResLatitude": null,
      "AplResLongitude": null,
      "AplResidentStatus": "X",
      "AplSex": "N",
      "AplSinNo": "123456789",
      "AplSkillNote": null,
      "AplStatus": "H",
      "AplTemporary": null,
      "AplTrainNote": null,
      "AplTravelDistance": null,
      "AplTravelFlag": "N",
      "AplTrdCode": null,
      "AplType": "S",
      "AplUser": "FIELDPOINT",
      "AplVUuid": "AC6CD9E2DA99713CE053B08610AC4D99",
      "AplWorkFax": null,
      "AplWorkPhone": null,
      "AplZipCode": null,
      "ApsrcApsCode": null,
      "CityCtyCityCode": null,
      "CityCtyCountryCode": null,
      "CityCtyCountyCode": null,
      "CityCtyStateCode": null,
      "ControlConCompCode": null,
      "CountryCtrCountryCode": null,
      "CountyCntCountryCode": null,
      "CountyCntCountyCode": null,
      "CountyCntStateCode": null,
      "DisabilityDisCode": null,
      "EmployeeEmpNo": "999",
      "LanguageLangName": null,
      "StateStaCountryCode": null,
      "StateStaStateCode": null,
      "StatusStsCode": null,
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapplicants/AC6CD9E2DA99713CE053B08610AC4D99",
          "name": "hrapplicants",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapplicants/AC6CD9E2DA99713CE053B08610AC4D99",
          "name": "hrapplicants",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 5,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrapplicants",
      "name": "hrapplicants",
      "kind": "collection"
    }
  ]
}
object
Copyright © 2024 CMiC All Rights Reserved